Skander Dridi

Members
  • Content Count

    0
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Skander Dridi

  • Rank
    Playa-Hater
  1. I have been trying to lauch MTA but it keeps showing me this message " Only GTA:SA version 1.0is supported! You are now being redirected to a page where you can patch your version " can you help me pls as soon as possible ?